import { NextPage } from 'next';
import * as Option from '@tesseract-design/web-option-react';
import { DefaultLayout } from '@/components/DefaultLayout';
import {ReactNode} from 'react';

type Props = {
  options: ReactNode,
}

const OptionPage: NextPage<Props> = ({
  options = (
    <>
      <optgroup label="Fruits">
        <option value="mango">Mango</option>
        <option value="strawberry">Strawberry</option>
        <option value="avocado">Avocado</option>
        <option value="grapes">Grapes</option>
      </optgroup>
      <optgroup label="Non-fruits">
        <option value="chocolate">Chocolate</option>
        <option value="milk">Milk</option>
        <option value="coffee">Coffee</option>
      </optgroup>
    </>
  )
}) => {
  return (
    <DefaultLayout
      title="Option"
    >
      <main className="mt-8 mb-16 md:mt-16 md:mb-32">
        <section>
          <div className="container mx-auto px-4">
            <h1>
              DropdownSelect
            </h1>
            <div>
              <section>
                <h2>
                  Default
                </h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.DropdownSelect
                        size="small"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        border
                        size="small"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        border
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        size="large"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        border
                        size="large"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                        disabled
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        border
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                        disabled
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                  </div>
                  <form>
                    <fieldset
                      disabled
                      className="contents"
                    >
                      <legend className="sr-only">Disabled Test</legend>
                      <div className="grid grid-cols-6 gap-4 my-4">
                        <div className="col-span-2">
                          <Option.DropdownSelect
                            label="First Name"
                            block
                            border
                          />
                        </div>
                        <div className="col-span-2">
                          <Option.DropdownSelect
                            label="Middle Name"
                            block
                            border
                          />
                        </div>
                        <div className="col-span-2">
                          <Option.DropdownSelect
                            label="Last Name"
                            block
                            border
                          />
                        </div>
                        <div className="col-span-3">
                          <Option.DropdownSelect
                            label="Username"
                            block
                            border
                          />
                        </div>
                        <div className="col-span-3">
                          <Option.DropdownSelect
                            label="Title"
                            block
                            border
                          />
                        </div>
                      </div>
                    </fieldset>
                  </form>
                  <form>
                    <div>
                      Hi, my name is
                      {' '}
                      <Option.DropdownSelect
                        border
                        label="Name"
                        size="small"
                      />
                      {' '}
                      but you can call me
                      {' '}
                      <Option.DropdownSelect
                        border
                        label="Nickname"
                        size="small"
                      />
                      .
                    </div>
                  </form>
                </div>
              </section>
              <section>
                <h2>Alternate</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.DropdownSelect
                        variant="alternate"
                        size="small"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        border
                        variant="alternate"
                        size="small"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        variant="alternate"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        border
                        variant="alternate"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        variant="alternate"
                        size="large"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        border
                        block
                        variant="alternate"
                        size="large"
                        label="Select"
                        hint="Type anything here&hellip;"
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        variant="alternate"
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                        disabled
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                    <div>
                      <Option.DropdownSelect
                        variant="alternate"
                        border
                        label="Select"
                        hint="Type anything here&hellip;"
                        block
                        disabled
                      >
                        {options}
                      </Option.DropdownSelect>
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              MenuSelect
            </h1>
            <div>
              <section>
                <h2>
                  Default
                </h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.MenuSelect
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>Alternate</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.MenuSelect
                        variant="alternate"
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        variant="alternate"
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        variant="alternate"
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        block
                        variant="alternate"
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        variant="alternate"
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>
                  Multiple
                </h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.MenuSelect
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                    <div>
                      <Option.MenuSelect
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                        multiple
                      >
                        {options}
                      </Option.MenuSelect>
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              RadioButton
            </h1>
            <div>
              <section>
                <h2>Variants</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.RadioButton
                        block
                        variant="bare"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        variant="filled"
                        block
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        variant="outline"
                        block
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        variant="filled"
                        block
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        disabled
                        name="RadioButton"
                        variant="bare"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        variant="filled"
                        block
                        disabled
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        variant="outline"
                        block
                        disabled
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        variant="filled"
                        block
                        disabled
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>Sizes</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.RadioButton
                        block
                        variant="outline"
                        size="small"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        variant="filled"
                        size="small"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        variant="outline"
                        size="medium"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        variant="filled"
                        size="medium"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        variant="outline"
                        size="large"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        variant="filled"
                        size="large"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>Compact</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.RadioButton
                        block
                        compact
                        variant="outline"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        compact
                        variant="filled"
                        name="RadioButton"
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        compact
                        variant="outline"
                        name="RadioButton"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        compact
                        variant="filled"
                        name="RadioButton"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        compact
                        variant="outline"
                        size="small"
                        name="RadioButton"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                    <div>
                      <Option.RadioButton
                        block
                        compact
                        variant="filled"
                        size="small"
                        name="RadioButton"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.RadioButton>
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              RadioTickBox
            </h1>
            <div>
              <div className="grid gap-4 my-4">
                <div>
                  <Option.RadioTickBox
                    block
                    subtext="Subtext"
                    name="RadioButton"
                  >
                    RadioButton
                  </Option.RadioTickBox>
                </div>
              </div>
              <div className="grid gap-4 my-4">
                <div>
                  <Option.RadioTickBox
                    block
                    subtext={
                      <>
                        <div>
                          This is a very long text that may span a couple of lines.
                        </div>
                        <div>
                          The subtext should not be included with the click area of the component.
                        </div>
                      </>
                    }
                    name="RadioButton"
                  >
                    RadioButton
                  </Option.RadioTickBox>
                </div>
              </div>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              ToggleButton
            </h1>
            <div>
              <section>
                <h2>Variants</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.ToggleButton
                        variant="bare"
                        block
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="filled"
                        block
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="outline"
                        block
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="filled"
                        block
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="bare"
                        block
                        disabled
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="filled"
                        block
                        disabled
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="outline"
                        block
                        disabled
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="filled"
                        block
                        disabled
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="outline"
                        block
                        indeterminate
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        variant="filled"
                        block
                        indeterminate
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>Sizes</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.ToggleButton
                        block
                        variant="outline"
                        size="small"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        variant="filled"
                        size="small"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        variant="outline"
                        size="medium"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        variant="filled"
                        size="medium"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        variant="outline"
                        size="large"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        variant="filled"
                        size="large"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>Compact</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.ToggleButton
                        block
                        compact
                        variant="outline"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        compact
                        variant="filled"
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        compact
                        variant="outline"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        compact
                        variant="filled"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        compact
                        variant="outline"
                        size="small"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                    <div>
                      <Option.ToggleButton
                        block
                        compact
                        variant="filled"
                        size="small"
                        subtext={
                          <>
                            Subtext
                          </>
                        }
                      >
                        Button
                      </Option.ToggleButton>
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              ToggleSwitch
            </h1>
            <div>
              <section>
                <h2>Default</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.ToggleSwitch
                        block
                        subtext="Subtext"
                        checkedLabel="Checkbox"
                      />
                    </div>
                    <div>
                      <Option.ToggleSwitch
                        block
                        subtext="Subtext"
                        checkedLabel="Checkbox"
                      />
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>With Unchecked Label</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.ToggleSwitch
                        block
                        subtext="Subtext"
                        checkedLabel="On"
                        uncheckedLabel="Off"
                      />
                    </div>
                    <div>
                      <Option.ToggleSwitch
                        block
                        subtext="Subtext"
                        indeterminate
                        checkedLabel="On"
                        uncheckedLabel="Off"
                      />
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              ToggleTickBox
            </h1>
            <div>
              <section>
                <h2>Default</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4 my-4">
                    <div>
                      <Option.ToggleTickBox
                        block
                        subtext="Subtext"
                      >
                        Checkbox
                      </Option.ToggleTickBox>
                    </div>
                    <div>
                      <Option.ToggleTickBox
                        block
                        indeterminate
                        subtext="Subtext"
                      >
                        Checkbox
                      </Option.ToggleTickBox>
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              ComboBox
            </h1>
            <div>
              <section>
                <h2>
                  Default
                </h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.ComboBox
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        border
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        border
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>Alternate</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.ComboBox
                        variant="alternate"
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        border
                        variant="alternate"
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        border
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        variant="alternate"
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        border
                        block
                        variant="alternate"
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                    <div>
                      <Option.ComboBox
                        variant="alternate"
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                      >
                        {options}
                      </Option.ComboBox>
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
        <section>
          <div className="container mx-auto px-4">
            <h1>
              TagInput
            </h1>
            <div>
              <section>
                <h2>
                  Default
                </h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.TagInput
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        border
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        border
                        size="large"
                        label="change"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                        separator={['\n', ',']}
                        onBlur={(e) => {
                          console.log(e.currentTarget);
                        }}
                        onChange={(e) => {
                          console.log(e.currentTarget.value);
                        }}
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                        enhanced
                      />
                    </div>
                  </div>
                </div>
              </section>
              <section>
                <h2>Alternate</h2>
                <div>
                  <div className="grid md:grid-cols-2 gap-4">
                    <div>
                      <Option.TagInput
                        variant="alternate"
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        border
                        variant="alternate"
                        size="small"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        border
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        variant="alternate"
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        border
                        block
                        variant="alternate"
                        size="large"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        variant="alternate"
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                        enhanced
                      />
                    </div>
                    <div>
                      <Option.TagInput
                        variant="alternate"
                        border
                        label="MultilineTextInput"
                        hint="Type anything here&hellip;"
                        indicator="A"
                        block
                        disabled
                        enhanced
                      />
                    </div>
                  </div>
                </div>
              </section>
            </div>
          </div>
        </section>
      </main>
    </DefaultLayout>
  );
};

export default OptionPage;
